/// lcrash entry point
/// super awesome...

#include "types.h"
#include "lnxboot.h"

#include "efi/efi.h"

[[noreturn]]
void entry64(struct boot_params* BootParams) {
	BootBootParams = BootParams;
	BootSetupInfo  = (void*)BootParams + 0x1f1;

	// Initialize EFI code if we had EFI
	EfiInitialize();

	// Initialize ACPI code if we have ACPI
	AcpiInitialize();
		
	// Hang :)	
	while (1) {}
}
